import type { Facet } from './facet';
/**
 * Configuration of an Algolia index for Query Suggestions.
 */
export type SourceIndex = {
    /**
     * Name of the Algolia index to use as source for query suggestions.
     */
    indexName: string;
    /**
     * If true, Query Suggestions uses all replica indices to find popular searches. If false, only the primary index is used.
     */
    replicas?: boolean;
    analyticsTags?: string[] | null;
    facets?: Facet[] | null;
    /**
     * Minimum number of hits required to be included as a suggestion.  A search query must at least generate `minHits` search results to be included in the Query Suggestions index.
     */
    minHits?: number;
    /**
     * Minimum letters required to be included as a suggestion.  A search query must be at least `minLetters` long to be included in the Query Suggestions index.
     */
    minLetters?: number;
    generate?: string[][] | null;
    external?: string[] | null;
};
//# sourceMappingURL=sourceIndex.d.ts.map